Bug 354101 - Review Request: compizconfig-backend-kconfig - kconfig backend for compizconfig
Review Request: compizconfig-backend-kconfig - kconfig backend for compizconfig
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 10:05 EDT by Mohd Izhar Firdaus Ismail
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-30 20:35:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
s.adam: fedora‑review+
a.badger: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mohd Izhar Firdaus Ismail 2007-10-26 10:05:19 EDT
Spec URL: http://izhar.fedorapeople.org/compizconfig-backend-kconfig/compizconfig-backend-kconfig.spec
SRPM URL: http://izhar.fedorapeople.org/compizconfig-backend-kconfig/compizconfig-backend-kconfig-0.6.0-1.fc8.src.rpm
Description: 
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
through plugins and themes contributed by the community giving a
rich desktop experience.

This package contains the kconfig backend for libcompizconfig



== 
A little question
if a the sources, have a LGPL licensed code , which is not included in the binary package, does %doc requires to include COPYING.LGPL ?
Comment 1 Stewart Adam 2007-10-27 01:03:39 EDT
Answering the LGPL question, if that code is not being used in the binaries, I
don't see a reason to include it but just to be safe keep it in there. Just fix
that upon import.

+ source files match upstream: d45c21297d0edfe25d41ffa1999ad5b7085b23d5
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. GPL License text included in package.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
- rpmlint is silent.
  compizconfig-backend-kconfig.i386: W: summary-not-capitalized kconfig backend
for compizconfig
This is safe to ignore, kconfig shouldn't be capitalized.
+ final provides and requires are sane:
  libkconfig.so  
  compizconfig-backend-kconfig = 0.6.0-1.fc8
+ no shared libraries are added to the regular linker search paths.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.

APPROVED
Comment 2 Mohd Izhar Firdaus Ismail 2007-10-28 01:20:13 EDT
New Package CVS Request
=======================
Package Name: compizconfig-backend-kconfig
Short Description: kconfig backend for compizconfig
Owners: izhar
Branches: F-8 devel
InitialCC: izhar
Cvsextras Commits: yes
Comment 3 Toshio Ernie Kuratomi 2007-10-29 13:51:42 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.